Subject: REVIEW: Global Effect
From: Jarno Kokko <[email-masked]>
Newsgroups: comp.sys.amiga.reviews

Global Effect is a Sim Earth/Sim City style strategy game.

     Another day, another review of a new Amiga game by Jarnis(TM).
 
                - -  G L O B A L   E F F E C T  - -
 
   Publisher: MILLENIUM            Formats: Amiga (Reviewed here)
                                            PC (Coming soon)
                                            ST (No info, should come)
 
   Price: No info at all. Out now.
 
   Requires: 1 MB ram. 3 disks. Fully HD installable.
 
 Global Effect follows the footsteps of Sim City and Sim Earth, 
 combining features from both games. You have a whole planet to mess 
 with, but you are building things bit like in Sim City. You have to
 manage power lines, waste management, water supplies, recycling
 centers, coal/oil/uranium mining and refining. All this looks
 very much like in Sim City, but the global scale information about
 temperature of the planet, atmosphere etc. is like in Sim Earth.
 
 Global Effect also has a bit of wargaming in it. You can play two 
 player game either against a computer or another player using datalink
 cable. In two player game you will compete with the other player,
 trying to build bigger cities and military forces, and still keep 
 the enviroment in good condition. 
 
 There is also some scenarios where you can try healing a planet
 suffering from global warming, over-use of natural resources 
 or similar bad condition. These add long-time interest to the
 product, but not much more.
 
 First Impressions: Good graphics, better than other similar games,
 but still nothing *really* impressive. Sound is good where it's
 used - main game itself is mainly silent. User interface is
 well coded, but the design side isn't perfect. Sim City-style
 menu where you could have picked the building blocks would have
 been better, now you have to cycle through the item list all 
 the time. Game is also bit confusing at the beginning, but
 reading the manual will help a lot. This game isn't so simple
 to play as Sim City, so only strategy game fans should apply.
 Playing from HD with 3MB ram is very easy. No irritating
 delays at all, and I suspect floppy users should be able to 
 play this quite well also. Protection is manual based, so 
 no backup problems. Overall you will be pleased after first
 few minutes of playing.
 
 Good points: Good graphics for a strategy game, quite much
 doing. Wargaming side adds much for this kind of game. Playing
 is pretty easy, and user interface is well coded. Game is
 fast when compared to Sim Ant or similar S-L-O-W games.
 Most of the game is well designed, and this game has many  
 good ideas in the user interface.
 
 Bad points: Some tiny bits of the user interface sucks, namely
 the building block selector. Also constant 'not enough power'
 message irritates. On a standard game you seem to run out
 of building power all the time. Also the game isn't so well designed,
 that you could virtually play it without the manual, and
 somehow the game doesn't -feel- easy. All the time you are
 bit 'lost', thinking 'how I can do this, how I can do that' and
 on-screen information without opening extra information windows
 is bit too limited. Faults are very minor, but I myself will
 hate a game that has even ONE fault, if it affects the gameplay
 too much. Wargaming section is also too limited, so don't expect
 a full scale planetary wars. Wargaming is there, but it could
 have been done MUCH better. 
 
 Graphics: 8   Sound: 9 (When it's used)   Value: 7   Playability: 8
 
 Summary: A combination of Sim City, Sim Earth and some simple
 wargaming. Good idea, but the implementation of the user interface
 is not perfect, and the gameplay isn't THAT easy, so you'll
 need to dig up the damn manual... Strategy game fans should
 definitely check this out, but don't rush out and buy this without
 trying first. Someone might like this very much. I think it's good,
 but not good enough for me.
 
                            - Jarno Kokko <[email-masked]>

   ____________
 _| .signature |______________________________________________________
|                                                                     |
|  -------- Jarno Kokko --------  |  Borg: Prepare to be assimilated  |
|   --- [email-masked] --   |        by the Borg.               |
|    ---- Vantaa, Finland ----    |  Worf: Prepare to eat phasers.    |
|_____________________________________________________________________|